System 2.0.0.0 4.0.0.0 System.Object

Abstract Syntax Notation One (ASN.1), which is defined in CCITT Recommendation X.208, is a way to specify abstract objects that will be serially transmitted. The set of ASN.1 rules for representing such objects as strings of ones and zeros is called the Distinguished Encoding Rules (DER), and is defined in CCITT Recommendation X.509, Section 8.7. These encoding methods are currently used by the cryptography namespace in the .NET Framework.

Note that if an unknown data type is encountered while accessing an instance of this class, data is returned as a hexadecimal string.

Represents Abstract Syntax Notation One (ASN.1)-encoded data.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using a byte array.

  A byte array that contains Abstract Syntax Notation One (ASN.1)-encoded data.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor makes a copy of the specified instance.

  Initializes a new instance of the class using an instance of the class.

  An instance of the class.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using an object and a byte array.

  An object.
  A byte array that contains Abstract Syntax Notation One (ASN.1)-encoded data.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using a byte array.

  A string that represents information.
  A byte array that contains Abstract Syntax Notation One (ASN.1)-encoded data.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method copies information to an object based on the specified object.

  Copies information from an object.

  The object to base the new object on.
- Method
  2.0.0.0
  4.0.0.0
  System.String ``

  Use this method if you need to print Abstract Syntax Notation One (ASN.1)-encoded data or output the information to a text box. Use the parameter to control the layout of the output.

  Returns a formatted version of the Abstract Syntax Notation One (ASN.1)-encoded data as a string.

  A formatted string that represents the Abstract Syntax Notation One (ASN.1)-encoded data.

  true if the return string should contain carriage returns; otherwise, false.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Oid To be added.

  This property can be used to provide information about the Abstract Syntax Notation One (ASN.1)-encoded data, such as the algorithm used to encrypt the data.

  Gets or sets the value for an object.

- Property
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added.

  This property is the easiest way to access the information in an object.

  Gets or sets the Abstract Syntax Notation One (ASN.1)-encoded data represented in a byte array.